/*
	name:	extern.h

	Global (external) variables declared in rylab.c
	-----------------------------------------------

*/


	extern long	PicWidth, PicHeight, RecDepth, NumObjects, NumLights;
	extern CAMERA	Camera;
	extern COLOR	BackgroundColor;
	extern long	AntiAliasingRec;
	extern double	AntiAliasingThreshold, AntiAliasingJitter;
	extern long	ReqDisplayType;

	extern OBJECT	*ObjectArray[maxobjects];
	extern LIGHT	*LightArray[maxlights];

	extern unsigned char	pixlearray[parraysize];
	extern long	picturerendering;

	extern long	PlaneIntersectionAttempts,PlaneIntersections;
	extern long	SphereIntersectionAttempts,SphereIntersections;
	extern long	EllipsoidIntersectionAttempts,EllipsoidIntersections;
	extern long	TriangleIntersectionAttempts,TriangleIntersections;
	extern long	BoxIntersectionAttempts,BoxIntersections;
	extern long	DiscIntersectionAttempts,DiscIntersections;
	extern long	CylinderIntersectionAttempts,CylinderIntersections;
	extern long	ShadowAttempts,ShadowHits,ReflectedRays;
